Name:       capi-appfw-application
Summary:    An Application library in SLP C API
Version:    0.5.6
Release:    0
Group:      System/API
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001:     capi-appfw-application.manifest
BuildRequires:  cmake
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(bundle)
BuildRequires:  pkgconfig(appcore-common)
BuildRequires:  pkgconfig(appcore-efl)
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(appsvc)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(capi-base-common)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libtzplatform-config)
BuildRequires:  pkgconfig(vconf-internal-keys)
BuildRequires:  pkgconfig(eventsystem)
BuildRequires:  pkgconfig(pkgmgr-info)
BuildRequires:  pkgconfig(glib-2.0)

%description
An Application library in SLP C API package.

%package -n capi-appfw-app-control
Summary:  An Application Control library in Tizen C API
Group:    System/API

%description -n capi-appfw-app-control
An Application Control library in Tizen C API package.

%package -n capi-appfw-app-common
Summary:  An Application Common library in Tizen C API
Group:    System/API

%description -n capi-appfw-app-common
An Application Common library in Tizen C API package.

%package -n capi-appfw-preference
Summary:  An Application Preference library in Tizen C API
Group:    System/API

%description -n capi-appfw-preference
An Application Preference library in Tizen C API package.

%package -n capi-appfw-event
Summary:  An Application Event library in Tizen C API
Group:    System/API

%description -n capi-appfw-event
An Application Event library in Tizen C API package.

%package devel
Summary:  An Application library in SLP C API (Development)
Group:    System/API
Requires: %{name} = %{version}-%{release}

%description devel
An Application library in SLP C API (Development) package.

%package -n capi-appfw-app-control-devel
Summary:  An Application Control library in Tizen C API (Development)
Group:    System/API
Requires: capi-appfw-app-control = %{version}-%{release}

%description -n capi-appfw-app-control-devel
An Application Control library in Tizen C API (Development) package.

%package -n capi-appfw-app-common-devel
Summary:  An Application Common library in Tizen C API (Development)
Group:    System/API
Requires: capi-appfw-app-common = %{version}-%{release}

%description -n capi-appfw-app-common-devel
An Application Common library in Tizen C API (Development) package.

%package -n capi-appfw-preference-devel
Summary:  An Application Preference library in Tizen C API (Development)
Group:    System/API
Requires: capi-appfw-preference = %{version}-%{release}

%description -n capi-appfw-preference-devel
An Application Preference library in Tizen C API (Development) package.

%package -n capi-appfw-event-devel
Summary:  An Application Event library in Tizen C API (Development)
Group:    System/API
Requires: capi-appfw-event = %{version}-%{release}

%description -n capi-appfw-event-devel
An Application Event library in Tizen C API (Development) package.


%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%__make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n capi-appfw-app-control -p /sbin/ldconfig
%postun -n capi-appfw-app-control -p /sbin/ldconfig

%post -n capi-appfw-app-common -p /sbin/ldconfig
%postun -n capi-appfw-app-common -p /sbin/ldconfig

%post -n capi-appfw-preference -p /sbin/ldconfig
%postun -n capi-appfw-preference -p /sbin/ldconfig

%post -n capi-appfw-event -p /sbin/ldconfig
%postun -n capi-appfw-event -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%{_libdir}/libcapi-appfw-application.so.*
%license LICENSE

%files -n capi-appfw-app-control
%manifest %{name}.manifest
%{_libdir}/libcapi-appfw-app-control.so.*
%license LICENSE

%files -n capi-appfw-app-common
%manifest %{name}.manifest
%{_libdir}/libcapi-appfw-app-common.so.*
%license LICENSE

%files -n capi-appfw-preference
%manifest %{name}.manifest
%{_libdir}/libcapi-appfw-preference.so.*
%license LICENSE

%files -n capi-appfw-event
%manifest %{name}.manifest
%{_libdir}/libcapi-appfw-event.so.*
%license LICENSE

%files devel
%manifest %{name}.manifest
%{_includedir}/appfw/app.h
%{_includedir}/appfw/app_internal.h
%{_includedir}/appfw/app_extension.h
%{_includedir}/appfw/app_i18n.h
%{_libdir}/pkgconfig/capi-appfw-application.pc
%{_libdir}/libcapi-appfw-application.so

%files -n capi-appfw-app-control-devel
%manifest %{name}.manifest
%{_includedir}/appfw/app_control.h
%{_includedir}/appfw/app_control_internal.h
%{_libdir}/pkgconfig/capi-appfw-app-control.pc
%{_libdir}/libcapi-appfw-app-control.so

%files -n capi-appfw-app-common-devel
%manifest %{name}.manifest
%{_includedir}/appfw/app_common.h
%{_includedir}/appfw/app_types.h
%{_includedir}/appfw/app_resource_manager.h
%{_libdir}/pkgconfig/capi-appfw-app-common.pc
%{_libdir}/libcapi-appfw-app-common.so

%files -n capi-appfw-preference-devel
%manifest %{name}.manifest
%{_includedir}/appfw/app_preference.h
%{_includedir}/appfw/app_preference_internal.h
%{_includedir}/appfw/app_preference_log.h
%{_libdir}/pkgconfig/capi-appfw-preference.pc
%{_libdir}/libcapi-appfw-preference.so

%files -n capi-appfw-event-devel
%manifest %{name}.manifest
%{_includedir}/appfw/app_event.h
%{_libdir}/pkgconfig/capi-appfw-event.pc
%{_libdir}/libcapi-appfw-event.so
